aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaksimP <maksimp86@mail.ru>2017-01-01 17:38:02 +0200
committerRoman Ivanov <romani@users.noreply.github.com>2017-01-04 17:31:19 -0800
commit0e7eaaccb331e42f29d1ab50d4c2f6f5e1310d33 (patch)
tree38658975f5c7588005bc6face31a6833d22af4d4
parent16aadebeee91937b3fadaa6f911e6ce0a97863b1 (diff)
downloadcheckstyle-0e7eaaccb331e42f29d1ab50d4c2f6f5e1310d33.tar.gz
Issue #3683: add to CI test permissions on all files
-rwxr-xr-x.ci/travis/checkchmod.sh15
-rwxr-xr-x.ci/travis/travis.sh4
-rwxr-xr-x[-rw-r--r--].travis.yml7
3 files changed, 26 insertions, 0 deletions
diff --git a/.ci/travis/checkchmod.sh b/.ci/travis/checkchmod.sh
new file mode 100755
index 000000000..07ea38073
--- /dev/null
+++ b/.ci/travis/checkchmod.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+CHMOD=$(find -type f -not -path '*/\.git/*' -a -type f -not -name '*.sh' -a \( -type d -not -perm 775 -o -type f -not -perm 664 \))
+if [[ -z $CHMOD ]]; then
+ exit 0;
+else
+ for NAMEFILE in $CHMOD
+ do
+ echo $NAMEFILE;
+ done
+fi
+echo " ";
+echo "To change permissions.";
diff --git a/.ci/travis/travis.sh b/.ci/travis/travis.sh
index 112f8ebc5..fc5fd314a 100755
--- a/.ci/travis/travis.sh
+++ b/.ci/travis/travis.sh
@@ -47,6 +47,10 @@ pr-description)
.ci/travis/xtr_pr-description.sh
;;
+check-chmod)
+ .ci/travis/checkchmod.sh
+ ;;
+
all-sevntu-checks)
xmlstarlet sel --net --template -m .//module -v "@name" -n config/checkstyle_sevntu_checks.xml \
| grep -vE "Checker|TreeWalker|Filter|Holder" | grep -v "^$" \
diff --git a/.travis.yml b/.travis.yml
index 0fea63f24..68e7b7572 100644..100755
--- a/.travis.yml
+++ b/.travis.yml
@@ -227,6 +227,13 @@ matrix:
- CMD="./.ci/travis/travis.sh"
- COVERAGE_CMD=""
+ # Check the chmod on files.
+ - env:
+ - DESC="check permissions on all files"
+ - GOAL="check-chmod"
+ - CMD="./.ci/travis/travis.sh"
+ - COVERAGE_CMD=""
+
# Ensure that all Sevntu check are kused
- jdk: oraclejdk8
env: